Skip to main content

Change personal information

PUT/v2/users/{userId}
API version
v2
Request method
PUT
Operation ID
user-update-personal-information

Request​

  • userIdstringrequired

    self or the id of a user.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{"person":{"firstName":"Ada","lastName":"Lovelace","title":"mr"}}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.updatePersonalInformation({
"userId": "string",
"data": {
"person": {
"firstName": "Ada",
"lastName": "Lovelace",
"title": "mr"
}
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\UpdatePersonalInformation\UpdatePersonalInformationRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\UpdatePersonalInformation\UpdatePersonalInformationRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdatePersonalInformationRequestBody to learn how to construct a valid instance
$body = new UpdatePersonalInformationRequestBody(/* TODO: ... */);

$request = (new UpdatePersonalInformationRequest(
userId: "string",
body: $body
));
$response = $client->user()->updatePersonalInformation($request);

var_dump($response->getBody();

On this page